!DIR$ FIXEDFORMLINESIZE:132
      module rte_blocks
      use mkl_vsl
      implicit none

      type(vsl_stream_state) str1, str2, str3, str4, str5, str6

      integer*4 nword
      parameter(nword=8)
      real(nword) du, dhalf, dzero
      parameter(du=1.0d0, dhalf=0.5d0, dzero=0.0d0)

      character*8 SourceType, PhaseFunction, Domain, Units

      integer*8   nmem, nmem_tot, nw

      real*8      albedo
      
      integer*4 seed1, seed2, seed3, seed4, seed5, seed6,
     $          brng1, brng2, brng3, brng4, brng5, brng6,
     $          meth1, meth2, meth3, meth4, meth5, meth6

      logical*4   Compute_u, Compute_J, Compute_I, Compute_None, Use_Symmetry, 
     $            Collimated_Source, Plane_Wave_Source

      integer*4    lx,  ly,  lz , lrho, Nscth, Nsphi
      integer*4   llx, lly, llz, llrho
      
      integer*4   N0, N1, N2, L1, L2, L3

      real*4      g, mu_a, mu_s, mu_t, mu_star, ell_star, opt_depth,
     $            twog, gs, opgs, omgs, beta, ebp, ebm, tshb,
     $            zsmin, zsmax,
     $            xbmin, xbmax, ybmin, ybmax, zbmin, zbmax,
     $            rhomax, hrho,
     $            z0, s0x, s0y, s0z, hx, hy, hz, dv, ds, 
     $            scth_min, scth_max, dscth, 
     $            sphi_min, sphi_max, dsphi, sphifrac, sphihrac,
     $            scale, weight

      integer*4   nc, nr, nline, len, vsl_errcode

      parameter(nline = 1000)
      parameter(len = nline*(nword/4))

      save
      end
