!DIR$ FIXEDFORMLINESIZE:132
      subroutine gip_I_CYL(ind, iscth, isphi, irho, iz)
      use rte_blocks
      implicit none

      integer*4, intent(in)  :: ind
      integer*4, intent(out) :: iscth, isphi, irho, iz

      real*4    scth, sphi, rho, z
      logical*4 flag  

      iscth = 0
      isphi = 0
      irho  = 0
      iz    = 0

c--------------------------------------------------------------

      IF((ind .eq. 2) .or. (ind .eq. 3) .or. (ind .eq. 4)) THEN

 101     continue
         write(*,*) 'Give rho0, z0 [units of ', Units, ']'
         read(*,*) rho, z

         flag = .false.
         call check_rho(rho, irho, flag)
         call check_z  (z,   iz,   flag)
         if(flag) goto 101

      END IF

c--------------------------------------------------------------

      IF((ind .eq. 5) .or. (ind .eq. 6) .or. (ind .eq. 7)) THEN

 102     continue
         write(*,*) 'Give cos(theta0), phi0/pi'
         read(*,*) scth, sphi

         flag = .false.
         call check_scth(scth, iscth, flag)
         call check_sphi(sphi, isphi, flag)
         if(flag) goto 102

      END IF

c--------------------------------------------------------------

      IF(ind .eq. 2) THEN

 103     continue
         write(*,*) 'Give cos(theta0)'
         read(*,*) scth

         flag = .false.
         call check_scth(scth, iscth, flag)
         if(flag) goto 103

      END IF

c--------------------------------------------------------------

      IF(ind .eq. 3) THEN

 104     continue
         write(*,*) 'Give phi0/pi'
         read(*,*) sphi

         flag = .false.
         call check_sphi(sphi, isphi, flag)
         if(flag) goto 104

      END IF

c--------------------------------------------------------------

      IF(ind .eq. 5) THEN

 105     continue
         write(*,*) 'Give z0 [units of ', Units, ']'
         read(*,*) z

         flag = .false.
         call check_z(z, iz, flag)
         if(flag) goto 105

      END IF

c--------------------------------------------------------------

      IF(ind .eq. 6) THEN

 106     continue
         write(*,*) 'Give rho0 [units of ', Units, ']'
         read(*,*) rho

         flag = .false.
         call check_rho(rho, irho, flag)
         if(flag) goto 106

      END IF

c--------------------------------------------------------------

      return
      end
