!DIR$ FIXEDFORMLINESIZE:132
      subroutine smoothen_I_5D(I)
      use math_blocks
      use rte_blocks
      real(nword), intent(inout) :: I(1:Nscth,1:Nsphi,1:lx,1:ly,1:lz)

      real*4 sum
      integer*4 ix, iy, iz, isphi

      if(abs(scth_max-ru) .lt. small) then

         do 1, iz=1,lz
         do 1, iy=1,ly
         do 1, ix=1,lx
         sum = rzero
         do 2, isphi=1,Nsphi-1
         sum = sum + I(Nscth,isphi,ix,iy,iz)
 2       continue
         sum = sum/float(Nsphi-1)
         I(Nscth,1:Nsphi,ix,iy,iz) = sum
 1       continue

      else if(abs(scth_min+ru) .lt. small) then

         do 3, iz=1,lz
         do 3, iy=1,ly
         do 3, ix=1,lx
         sum = rzero
         do 4, isphi=1,Nsphi-1
         sum = sum + I(1,isphi,ix,iy,iz)
 4       continue
         sum = sum/float(Nsphi-1)
         I(1,1:Nsphi,ix,iy,iz) = sum
 3       continue

      else

         write(*,*) 'Smoothen_I_3D: pole locations are out of range; no smoothing done.'

      end if

      return
      end
