!DIR$ FIXEDFORMLINESIZE:132
      real*4 pure function fun_exp(b)
      implicit none
      real*4, intent(in) :: b

      real*4 b2, b3, b5, b_min, b_max
      real*4 c1, c3, c5
      parameter(b_min = 0.001, b_max=10.0)
      parameter(c1=3.0, c3=45.0, c5=472.5)

      if(abs(b) .lt. b_min) then

         b2 = b*b
         b3 = b2*b
         b5 = b2*b3
         fun_exp = b/c1  + b3/c3 + b5/c5

      else if(b .lt. -b_max) then
         
         fun_exp = -1.0 - 1.0/b

      else if(b .gt. +b_max) then
         
         fun_exp = +1.0 - 1.0/b

      else
        
         fun_exp = (exp(b)+exp(-b)) / (exp(b)-exp(-b)) - 1.0/b

      end if

      return 
      end
