!DIR$ FIXEDFORMLINESIZE:132
      subroutine smoothen_cyl_I_3D(I)
      use math_blocks
      use rte_blocks
      real(nword), intent(inout) :: I(1:Nscth,1:Nsphi,1:lrho)

      real*4 sum
      integer*4 irho, isphi

      if(abs(scth_max-ru) .lt. small) then

         do 1, irho=1,lrho
         sum = rzero
         do 2, isphi=1,Nsphi-1
         sum = sum + I(Nscth,isphi,irho)
 2       continue
         sum = sum/float(Nsphi-1)
         I(Nscth,1:Nsphi,irho) = sum
 1       continue

      else if(abs(scth_min+ru) .lt. small) then

         do 3, irho=1,lrho
         sum = rzero
         do 4, isphi=1,Nsphi-1
         sum = sum + I(1,isphi,irho)
 4       continue
         sum = sum/float(Nsphi-1)
         I(1,1:Nsphi,irho) = sum
 3       continue

      else

         write(*,*) 'Smoothen_I_CYL: pole locations are out of range; no smoothing done.'

      end if

      return
      end
