!DIR$ FIXEDFORMLINESIZE:132
      subroutine upd_plws_sur_rec_R(sx,sy,sz)
      use math_blocks
      use rte_blocks
      use header_types
      implicit none

      real*4, intent(in) :: sx,sy,sz

      real(nword) sxi, syi, szi, sfi, shi

      integer*4 iscth, isphi
      integer*4 iscth_of_scth, isphi_of_sphi

      real*4    den, arg, sphi

      szi = -du/sz
      sxi = sx*szi
      syi = sy*szi
      sfi = sphifrac*szi
      shi = sphihrac*szi

      uR0D = uR0D + szi

      JR1D(1) = JR1D(1) + sxi  ! =sx*szi
      JR1D(2) = JR1D(2) + syi  ! =sy*szi
      JR1D(3) = JR1D(3) - du   ! =sz*szi

      iscth = iscth_of_scth(-sz)

      if(abs(sz*sz-ru) .lt. small) then
         IR2D(iscth,2:Nsphi-1) = IR2D(iscth,2:Nsphi-1) + sfi  ! =sphifrac*szi
         IR2D(iscth,1        ) = IR2D(iscth,1        ) + shi  ! =sphihrac*szi
         IR2D(iscth,  Nsphi  ) = IR2D(iscth,  Nsphi  ) + shi  ! =sphihrac*szi
      else
         den  = sqrt(sx*sx + sy*sy)
         arg  = sx/den
         if(arg .gt.  ru) arg =  ru
         if(arg .lt. -ru) arg = -ru
         sphi = acos(arg) / pi
         if(sy .lt. rzero) sphi = two - sphi
         isphi = isphi_of_sphi(sphi)
         IR2D(iscth,isphi) =  IR2D(iscth,isphi) + szi
      end if

      return
      end
