!DIR$ FIXEDFORMLINESIZE:132
      subroutine upd_plws_vol_cyl(zw, sz)
      use math_blocks
      use rte_blocks
      use header_types
      implicit none  

      real*4, intent(in) :: zw, sz

      integer*4 iz, iz_of_z
      integer*4 iscth, iscth_of_scth

      if(zw  .lt. zbmin ) return
      if(zw  .ge. zbmax ) return

      iz   = iz_of_z(zw)

      if(compute_u) then 
         u1D(iz) = u1D(iz) + du
      end if

      if(compute_J) then 
         J1D(iz) = J1D(iz) + sz
      end if

      if(compute_I) then 
         iscth = iscth_of_scth(sz)
         I2D(iscth,iz) = I2D(iscth,iz) + du
      end if

      return
      end
